mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

TypeLibVarFlags is used in conjunction with the . The flags are retained for reference only. They are not used by the common language runtime.

For more information, see VARFLAGS in the MSDN library.

Describes the original settings of the in the COM type library from which the variable was imported.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibVarFlags To be added

  The variable supports data binding.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibVarFlags To be added

  The variable is the single property that best represents the object. Only one variable in a type info can have this value.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibVarFlags To be added

  Permits an optimization in which the compiler looks for a member named "xyz" on the type "abc". If such a member is found and is flagged as an accessor function for an element of the default collection, then a call is generated to that member function.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibVarFlags To be added

  The variable is displayed as bindable. must also be set.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibVarFlags To be added

  The variable should not be displayed in a browser, though it exists and is bindable.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibVarFlags To be added

  The variable is mapped as individual bindable properties.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibVarFlags To be added

  The variable appears in an object browser, but not in a properties browser.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibVarFlags To be added

  Assignment to the variable should not be allowed.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibVarFlags To be added

  Tags the interface as having default behaviors.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibVarFlags To be added

  Indicates that the property supports the COM OnRequestEdit notification.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibVarFlags To be added

  This flag is intended for system-level functions or functions that type browsers should not display.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibVarFlags To be added

  The variable returns an object that is a source of events.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TypeLibVarFlags To be added

  The default display in the user interface.